# IceMX::RemoteMetrics

## Overview

### class RemoteMetrics extends Metrics

Provides information on invocations that are specifically sent over Ice connections. Remote metrics are embedded within InvocationMetrics.

## Data Members

### long size;

The size of the invocation. This corresponds to the size of the marshalled input parameters.

### long replySize;

The size of the invocation reply. This corresponds to the size of the marshalled output and return parameters.